/*
 * Copyright (c) 2017, Miroslav Stoyanov
 *
 * This file is part of
 * Toolkit for Adaptive Stochastic Modeling And Non-Intrusive ApproximatioN: TASMANIAN
 *
 * Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions
 *    and the following disclaimer in the documentation and/or other materials provided with the distribution.
 *
 * 3. Neither the name of the copyright holder nor the names of its contributors may be used to endorse
 *    or promote products derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES,
 * INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY,
 * OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,
 * OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * UT-BATTELLE, LLC AND THE UNITED STATES GOVERNMENT MAKE NO REPRESENTATIONS AND DISCLAIM ALL WARRANTIES, BOTH EXPRESSED AND IMPLIED.
 * THERE ARE NO EXPRESS OR IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE, OR THAT THE USE OF THE SOFTWARE WILL NOT INFRINGE ANY PATENT,
 * COPYRIGHT, TRADEMARK, OR OTHER PROPRIETARY RIGHTS, OR THAT THE SOFTWARE WILL ACCOMPLISH THE INTENDED RESULTS OR THAT THE SOFTWARE OR ITS USE WILL NOT RESULT IN INJURY OR DAMAGE.
 * THE USER ASSUMES RESPONSIBILITY FOR ALL LIABILITIES, PENALTIES, FINES, CLAIMS, CAUSES OF ACTION, AND COSTS AND EXPENSES, CAUSED BY, RESULTING FROM OR ARISING OUT OF,
 * IN WHOLE OR IN PART THE USE, STORAGE OR DISPOSAL OF THE SOFTWARE.
 */

#include <iostream>
#include <fstream>

#define TasmanianGPTableBuild "/workspace/srcdir/TASMANIAN/build/SparseGrids/GaussPattersonRule.table"
#define TasmanianGPTableInstall "/workspace/destdir/share/Tasmanian/GaussPattersonRule.table"

inline void show_log(){
    std::ifstream logfile("/workspace/destdir/share/Tasmanian/Tasmanian.log");
    std::cout << "\n" << logfile.rdbuf() << std::endl;
}

inline void show_cmake_log(){
    std::cout << "\nCMake parameters:\n--------------------------------------------------------------------------------"
    << R"CMAKEVARS(
CMAKE_COMMAND                      /usr/bin/cmake
CMAKE_BUILD_TYPE                   Release
CMAKE_INSTALL_PREFIX               /workspace/destdir
CMAKE_CXX_FLAGS                    -Dsgemm_=sgemm_64
CMAKE_CXX_FLAGS_DEBUG              -g -O3
CMAKE_CXX_FLAGS_RELEASE            -O3 -DNDEBUG
CMAKE_CXX_COMPILER                 /opt/bin/x86_64-w64-mingw32-libgfortran3-cxx11/x86_64-w64-mingw32-g++
CMAKE_CUDA_COMPILER                
CMAKE_CUDA_ARCHITECTURES           
CMAKE_CUDA_FLAGS                   
CMAKE_CUDA_FLAGS_DEBUG             
CMAKE_CUDA_FLAGS_RELEASE           
Tasmanian_cudamathlibs             
Tasmanian_cudaruntime              
PYTHON_EXECUTABLE                  
BUILD_SHARED_LIBS                  ON
BLAS_LIBRARIES                     FALSE
LAPACK_LIBRARIES                   
CMAKE_THREAD_LIBS_INIT             
OpenMP_CXX_LIBRARIES               /opt/x86_64-w64-mingw32/x86_64-w64-mingw32/lib/libgomp.dll.a;/opt/x86_64-w64-mingw32/x86_64-w64-mingw32/sys-root/lib/libmingwthrd.a;/opt/x86_64-w64-mingw32/x86_64-w64-mingw32/sys-root/lib/libmingwthrd.a
OpenMP_CXX_FLAGS                   -fopenmp
MPI_CXX_LIBRARIES                  
MPI_CXX_INCLUDE_PATH               
MPI_CXX_COMPILE_FLAGS              
MPI_CXX_LINK_FLAGS                 
MPIEXEC_EXECUTABLE                 
Tasmanian_ENABLE_RECOMMENDED       ON
Tasmanian_ENABLE_OPENMP            TRUE
Tasmanian_ENABLE_BLAS              OFF
Tasmanian_ENABLE_PYTHON            OFF
Tasmanian_ENABLE_CUDA              OFF
Tasmanian_ENABLE_HIP               OFF
Tasmanian_ENABLE_DPCPP             OFF
Tasmanian_ENABLE_FORTRAN           OFF
Tasmanian_ENABLE_MPI               OFF
Tasmanian_ENABLE_MAGMA             OFF
Tasmanian_MATLAB_WORK_FOLDER       
Tasmanian_ENABLE_DOXYGEN           OFF
DOXYGEN_INTERNAL_DOCS              
Tasmanian_PYTHONPATH               
Tasmanian_final_install_path       /workspace/destdir)CMAKEVARS"
    << "\n--------------------------------------------------------------------------------\n"
    << std::endl;
}
